- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions

# FbxIOSettings Class Reference

This reference page is linked to from the following overview topics: Your First FBX SDK Program, Importing and Exporting a Scene, I/O Settings, Importing a Scene, Exporting a Scene, FBX Properties, Connections, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

FbxIOSettings is a collection of properties, arranged as a tree, that can be used by FBX file readers and writers to represent import and export options.

It is primarily used by FBX importers (FbxImporter) and FBX exporter (FbxExporter) when reading or writing data from or to a disk. The FBX plugins of some Autodesk products expose a UI representing the content of those options to let users see and choose options when an import or export operation is about to be done. The tree of options is extensible.

Options can be saved or loaded from an XML file using the functions: ReadXMLFile(), WriteXMLFile(), WriteXmlPropToFile(). This functionality can be useful for plugins that use preset files.

An instance of FbxIOSettings must be created to be used before an import/export operation. When a new FbxIOSettings instance is created, all options are created with default values. The new instance of FbxIOSettings can be passed to the FbxManager, this way that instance will be used by all import/export operations.

Ex: to set an instance of FbxIOSettings to the FbxManager

     // First create a new instance of FbxIOSettings
     FbxIOSettings * ios = FbxIOSettings::Create((FbxManager *) mManager, IOSROOT);
     // then set the FbxManager
     mManager->SetIOSettings(ios);

It's also possible for a developer to create another instance of FbxIOSettings, set particular options and use it for import/export operation.

Ex: to set an instance of FbxIOSettings to a FbxImporter/FbxExporter

     mImporter->SetIOSettings(ios); / mExporter->SetIOSettings(ios);

A schematic view of the FbxIOSettings tree :

                                             OPTION_GROUP_ROOT (IOSROOT)
                                             |
                                             |
                         ________________________________________
                         |                                      |
                         -OPTION_GROUP_EXPORT (IOSN_EXPORT)     -OPTION_GROUP_IMPORT (IOSN_IMPORT)
                              |                                      |
                              -OPTION_GROUP_A                        -OPTION_GROUP_A
                              |     |                                |     |
                              |     -OPTION_A                        |     -OPTION_A
                              |     -OPTION_B                        |     -OPTION_B
                              |                                      |
                              -OPTION_GROUP_B                        -OPTION_GROUP_B
                              |     |                                |     |
                              |     -OPTION_GROUP_A                  |     -OPTION_GROUP_A
                              |     |     |                          |     |     |
                              |     |     -OPTION_A                  |     |     -OPTION_A
                              |     |     -OPTION_B                  |     |     -OPTION_B
                              |     |                                |     |
                              |     -OPTION_GROUP_B                  |     -OPTION_GROUP_B
                              |           |                          |           |
                              |           -OPTION_A                  |           -OPTION_A
                              |           -OPTION_B                  |           -OPTION_B
                              |                                      |
                              -OPTION_GROUP_C                        -OPTION_GROUP_C
                                    |                                      |
                                    -OPTION_A                              -OPTION_A

Any group of options can contain sub options, or group of sub options. To access an option value, we must pass the full path to the Get/Set functions Ex:

     ios->GetBoolProp("Import|IncludeGrp|Animation", true); // the root node name is not required

All options path are defined in the file kfbxiosettingspath.h to ease the access of any options. Then "Import|IncludeGrp|Animation" == IMP_ANIMATION since IMP_ANIMATION is defined in kfbxiosettingspath.h All options defined path start with "IMP_" for import branch or "EXP_" for export branch.

We strongly encourage to use the defined path in kfbxiosettingspath.h, this way if the parent group of an option is changed the change occur only in kfbxiosettingspath.h not in the code elsewhere.

Ex: to get the boolean import "Animation" option

     bool anim = ios->GetBoolProp(IMP_ANIMATION, true); // will return true if not found, since we pass true as second param

Ex: to set the boolean import "Animation" option to false

     ios->SetBoolProp(IMP_ANIMATION, false);

Ex: to create a new option group under the "Import" branch

     // get the parent "Import" property
     FbxProperty import_Group = ios->GetProperty( IOSN_IMPORT ); // IOSN_IMPORT is defined as "Import" in kfbxiosettingspath.h
     if(import_Group.IsValid()) // check if we have found the IOSN_IMPORT parent option
     {
         // add a new group of options "myOptionGroup"
            FbxProperty myOptionGrp = ios->AddPropertyGroup(import_Group, "myOptionGroup", FbxStringDT, "My Option Group UI Label");
     }

Ex: to create a new boolean option under the "myOptionGroup"

     FbxProperty myOptionGrp = ios->GetProperty( "Import|myOptionGroup" ); // can also use IOSN_IMPORT|"myOptionGroup"
     if(myOptionGrp.IsValid()) // check if we have found the "myOptionGroup"
     {
         bool defaultValue = true;
            FbxProperty myOption = ios->AddProperty(myOptionGrp, "myOptionName", FbxBoolDT, "My Option UI label" , &defaultValue, eFbxBool);
     }

Ex: to set some flags to myOption

     FbxProperty myOption = ios->GetProperty( "Import|myOptionGroup|myOptionName" );
     if(myOption.IsValid())
     {
            myOPtion.ModifyFlag(FbxPropertyAttr::eUIHidden, true);   // to make that option not visible to the UI
            myOPtion.ModifyFlag(FbxPropertyAttr::eNotSavable, true); // to avoid the read/save of that option in XML file
     }

Examples:

  Common/Common.cxx, ExportDocument/main.cxx, MyOwnWriterReader/MyOwnWriterReader.cxx, and MyOwnWriterReader/MyOwnWriterReader.h.

Definition at line 262 of file fbxiosettings.h.

`#include <fbxiosettings.h>`

Inheritance diagram for FbxIOSettings:
[legend]

List of all members.

## Public Types
enum | ELoadMode { eCreate, eMerge, eExclusiveMerge }
enum | EQuaternionMode { eAsQuaternion, eAsEuler, eResample }
enum | EObjectDerivation { eByLayer, eByEntity, eByBlock }
enum | ESysUnits { eUnitsUser, eUnitsInches, eUnitsFeet, eUnitYards, eUnitsMiles, eUnitsMillimeters, eUnitsCentimeters, eUnitsMeters, eUnitsKilometers }
enum | ESysFrameRate { eFrameRateUser, eFrameRateHours, eFrameRateMinutes, eFrameRateSeconds, eFrameRateMilliseconds, eFrameRateGames15, eFrameRateFilm24, eFrameRatePAL25, eFrameRateNTSC30, eFrameRateShowScan48, eFrameRatePALField50, eFrameRateNTSCField60 }
enum | EEnveloppeSystem { eSkinModifier, ePhysic, eBonePro, eEnveloppeSystemCount }
enum | EGeometryType { eTriangle, eSimplifiedPoly, ePolygon, eNurbs, ePatch, eGeometryTypeCount }
enum | EIKType { eNone, eFBIK, eHumanIK }
## Public Member Functions
virtual void | Destruct (bool pRecursive, bool pDependents)
| Destruct a property and optionally the children properties.
FbxProperty | AddPropertyGroup (const char *pName, const FbxDataType &pDataType=FbxDataType(), const char *pLabel="")
| Add a property group under the root prop to be a direct child of IOSROOT.
FbxProperty | AddPropertyGroup (const FbxProperty &pParentProperty, const char *pName, const FbxDataType &pDataType=FbxDataType(), const char *pLabel="", bool pVisible=true, bool pSavable=true, bool pEnabled=true)
| Add a property group under another parent property.
FbxProperty | AddProperty (const FbxProperty &pParentProperty, const char *pName, const FbxDataType &pDataType=FbxDataType(), const char *pLabel="", const void *pValue=NULL, bool pVisible=true, bool pSavable=true, bool pEnabled=true)
| Add a property under another parent property with a value to set.
FbxProperty | AddPropertyMinMax (const FbxProperty &pParentProperty, const char *pName, const FbxDataType &pDataType=FbxDataType(), const char *pLabel="", const void *pValue=NULL, const double *pMinValue=NULL, const double *pMaxValue=NULL, bool pVisible=true, bool pSavable=true, bool pEnabled=true)
| Add a property under another parent property with a value to set and a min max values.
FbxProperty | GetProperty (const char *pName) const
| Get a property using the full path in the tree ex: "Export|IncludeGrp|Animation".
FbxProperty | GetProperty (const FbxProperty &pParentProperty, const char *pName) const
| Get a property using a short path found under the parent property.
bool | GetBoolProp (const char *pName, bool pDefValue) const
| Get a bool property value using the full path.
void | SetBoolProp (const char *pName, bool pValue)
| set a bool property value using the full path
double | GetDoubleProp (const char *pName, double pDefValue) const
| Get a double property value using the full path.
void | SetDoubleProp (const char *pName, double pValue)
| Set a double property using the full path.
int | GetIntProp (const char *pName, int pDefValue) const
| Get a int property value using the full path.
void | SetIntProp (const char *pName, int pValue)
| Set a int property value using the full path.
FbxTime | GetTimeProp (const char *pName, FbxTime pDefValue) const
| Get a FbxTime property value using the full path.
void | SetTimeProp (const char *pName, FbxTime pValue)
| Set a FbxTime property value using the full path.
bool | SetFlag (const char *pName, FbxPropertyAttr::EFlags propFlag, bool pValue)
| Set a specific flag value on a property using the full path.
FbxString | GetStringProp (const char *pName, FbxString pDefValue) const
| Get a FbxString property value using the full path.
void | SetStringProp (const char *pName, FbxString pValue)
| Set a FbxString property value using the full path.
PropInfo * | GetPropInfo (FbxProperty &pProp)
FbxString | GetLanguageLabel (FbxProperty &pProp)
void | SetLanguageLabel (FbxProperty &pProp, FbxString &pLabel)
EFbxUILanguage | Get_Max_Runtime_Language (FbxString pRegLocation)
void | SetPropVisible (FbxProperty &pProp, bool pWithChildren, bool pVisible)
virtual bool | ConstructProperties (bool pForceSet)
bool | ReadXmlPropFromMyDocument (const FbxString &subDir, const FbxString &filename)
bool | WriteXmlPropToMyDocument (const FbxString &subDir, const FbxString &filename, const FbxString &propPath)
Enum Properties
An enum property is a list of FbxString and integer pairs. A current index value is available to get the selected pair of FbxString+integer Ex: Content of an enum property
        0 -> (14, "Bird")
        1 -> (17, "Horse")
        2 -> (93, "Cat")
        3 -> (45, "Dog")
If current index is 2: the current int value is 93, and the current FbxString value is "Cat"
FbxString | GetEnumProp (const char *pName, FbxString pDefValue) const
| Get the FbxString at current index of an enum property using the full path.
int | GetEnumProp (const char *pName, int pDefValue) const
| Get the integer at current index of an enum property using the full path.
int | GetEnumIndex (const char *pName, FbxString pValue) const
| Get the index of a FbxString from the enum property using the full path.
void | SetEnumProp (const char *pName, FbxString pValue)
| Set the current index using an existing FbxString of an enum property using the full path.
void | SetEnumProp (const char *pName, int pValue)
| Set the current index of an enum property using the full path.
void | RemoveEnumPropValue (const char *pName, FbxString pValue)
| Remove a pair of FbxString+integer from an enum property.
void | EmptyEnumProp (const char *pName)
| Empty all the FbxString+integer pair of the enum property.
bool | IsEnumExist (FbxProperty &pProp, const FbxString &enumString) const
| Check if a FbxString is present in the enum property.
int | GetEnumIndex (FbxProperty &pProp, const FbxString &enumString, bool pNoCase=false) const
| Get the enum index of a FbxString.
XML Serialization Functions
virtual bool | ReadXMLFile (const FbxString &path)
| Load the settings values from an XML file.
virtual bool | WriteXMLFile (const FbxString &path)
| Write the settings values to an XML file.
bool | WriteXmlPropToFile (const FbxString &pFullPath, const FbxString &propPath)
| Write the settings values to an XML file.
## Static Public Member Functions
static FbxString | GetUserMyDocumentDir ()
static const char * | GetFileMergeDescription (int pIndex)
## Public Attributes
EFbxUILanguage | UILanguage
FbxIOInfo | impInfo
FbxIOInfo | expInfo
## Protected Member Functions
| FbxIOSettings (FbxManager &pManager, const char *pName)

## Member Enumeration Documentation

enum ELoadMode

Search for all occurrences

Enumerator:

  eCreate | Add to scene(duplicate the ones with the same name) Search for all occurrences
  eMerge | Add to scene and update animation. Search for all occurrences
  eExclusiveMerge | Update animation. Search for all occurrences

Definition at line 561 of file fbxiosettings.h.

        {
            eCreate,
            eMerge,
            eExclusiveMerge
        };

enum EQuaternionMode

Search for all occurrences

Enumerator:

  eAsQuaternion | Search for all occurrences
  eAsEuler | Search for all occurrences
  eResample | Search for all occurrences

Definition at line 569 of file fbxiosettings.h.

    { eAsQuaternion, eAsEuler, eResample };

enum EObjectDerivation

Search for all occurrences

Enumerator:

  eByLayer | Search for all occurrences
  eByEntity | Search for all occurrences
  eByBlock | Search for all occurrences

Definition at line 570 of file fbxiosettings.h.

    { eByLayer, eByEntity, eByBlock };

enum ESysUnits

Search for all occurrences

Enumerator:

  eUnitsUser | Search for all occurrences
  eUnitsInches | Search for all occurrences
  eUnitsFeet | Search for all occurrences
  eUnitYards | Search for all occurrences
  eUnitsMiles | Search for all occurrences
  eUnitsMillimeters | Search for all occurrences
  eUnitsCentimeters | Search for all occurrences
  eUnitsMeters | Search for all occurrences
  eUnitsKilometers | Search for all occurrences

Definition at line 572 of file fbxiosettings.h.

        {
            eUnitsUser,
            eUnitsInches,
            eUnitsFeet,
            eUnitYards,
            eUnitsMiles,
            eUnitsMillimeters,
            eUnitsCentimeters,
            eUnitsMeters,
            eUnitsKilometers
        };

enum ESysFrameRate

Search for all occurrences

Enumerator:

  eFrameRateUser | Search for all occurrences
  eFrameRateHours | Search for all occurrences
  eFrameRateMinutes | Search for all occurrences
  eFrameRateSeconds | Search for all occurrences
  eFrameRateMilliseconds | Search for all occurrences
  eFrameRateGames15 | Search for all occurrences
  eFrameRateFilm24 | Search for all occurrences
  eFrameRatePAL25 | Search for all occurrences
  eFrameRateNTSC30 | Search for all occurrences
  eFrameRateShowScan48 | Search for all occurrences
  eFrameRatePALField50 | Search for all occurrences
  eFrameRateNTSCField60 | Search for all occurrences

Definition at line 585 of file fbxiosettings.h.

        {
            eFrameRateUser,
            eFrameRateHours,
            eFrameRateMinutes,
            eFrameRateSeconds,
            eFrameRateMilliseconds,
            eFrameRateGames15,
            eFrameRateFilm24,
            eFrameRatePAL25,
            eFrameRateNTSC30,
            eFrameRateShowScan48,
            eFrameRatePALField50,
            eFrameRateNTSCField60
        };

enum EEnveloppeSystem

Search for all occurrences

Enumerator:

  eSkinModifier | Search for all occurrences
  ePhysic | Search for all occurrences
  eBonePro | Search for all occurrences
  eEnveloppeSystemCount | Search for all occurrences

Definition at line 602 of file fbxiosettings.h.

        {
            eSkinModifier,
            ePhysic,
            eBonePro,
            eEnveloppeSystemCount
        };

enum EGeometryType

Search for all occurrences

Enumerator:

  eTriangle | Search for all occurrences
  eSimplifiedPoly | Search for all occurrences
  ePolygon | Search for all occurrences
  eNurbs | Search for all occurrences
  ePatch | Search for all occurrences
  eGeometryTypeCount | Search for all occurrences

Definition at line 611 of file fbxiosettings.h.

        {
            eTriangle,
            eSimplifiedPoly,
            ePolygon,
            eNurbs,
            ePatch,
            eGeometryTypeCount
        };

enum EIKType

Search for all occurrences

Enumerator:

  eNone | Search for all occurrences
  eFBIK | Search for all occurrences
  eHumanIK | Search for all occurrences

Definition at line 622 of file fbxiosettings.h.

        {
            eNone,
            eFBIK,
            eHumanIK
        };

## Constructor & Destructor Documentation

FbxIOSettings | ( | FbxManager & | pManager,
|  | const char * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[virtual]`

Search for all occurrences

Destruct a property and optionally the children properties.

Parameters:

  pRecursive |
  pDependents |

Reimplemented from FbxObject.

FbxProperty AddPropertyGroup | ( | const char * | pName,
|  | const FbxDataType & | pDataType = `FbxDataType()`,
|  | const char * | pLabel = `""`
| ) |  |

Search for all occurrences

Add a property group under the root prop to be a direct child of IOSROOT.

Parameters:

  pName |
  pDataType |
  pLabel |

Returns:
  a new FbxProperty created

FbxProperty AddPropertyGroup | ( | const FbxProperty & | pParentProperty,
|  | const char * | pName,
|  | const FbxDataType & | pDataType = `FbxDataType()`,
|  | const char * | pLabel = `""`,
|  | bool | pVisible = `true`,
|  | bool | pSavable = `true`,
|  | bool | pEnabled = `true`
| ) |  |

Search for all occurrences

Add a property group under another parent property.

Parameters:

  pParentProperty |
  pName |
  pDataType |
  pLabel | (optional, used by the UI as widget label)
  pVisible | (used by the UI to show or not that property)
  pSavable | (to enable a read & write to an XML file)
  pEnabled | (used by the widget UI to show enabled or disabled)

Returns:
  a new FbxProperty created

FbxProperty AddProperty | ( | const FbxProperty & | pParentProperty,
|  | const char * | pName,
|  | const FbxDataType & | pDataType = `FbxDataType()`,
|  | const char * | pLabel = `""`,
|  | const void * | pValue = `NULL`,
|  | bool | pVisible = `true`,
|  | bool | pSavable = `true`,
|  | bool | pEnabled = `true`
| ) |  |

Search for all occurrences

Add a property under another parent property with a value to set.

Parameters:

  pParentProperty |
  pName |
  pDataType |
  pLabel | (optional, used by the UI as widget label)
  pValue |
  pVisible | (used by the UI to show or not that property)
  pSavable | (to enable a read & write to an XML file)
  pEnabled | (used by the widget UI to show enabled or disabled)

Returns:
  a new FbxProperty created

FbxProperty AddPropertyMinMax | ( | const FbxProperty & | pParentProperty,
|  | const char * | pName,
|  | const FbxDataType & | pDataType = `FbxDataType()`,
|  | const char * | pLabel = `""`,
|  | const void * | pValue = `NULL`,
|  | const double * | pMinValue = `NULL`,
|  | const double * | pMaxValue = `NULL`,
|  | bool | pVisible = `true`,
|  | bool | pSavable = `true`,
|  | bool | pEnabled = `true`
| ) |  |

Search for all occurrences

Add a property under another parent property with a value to set and a min max values.

Parameters:

  pParentProperty |
  pName |
  pDataType |
  pLabel | (optional, used by the UI as widget label)
  pValue |
  pMinValue |
  pMaxValue |
  pValueType |
  pVisible | (used by the UI to show or not that property)
  pSavable | (to enable a read & write to an XML file)
  pEnabled | (used by the widget UI to show enabled or disabled)

Returns:
  a new FbxProperty created

Remarks:
  Normally used with numeric properties Ex: integer, float, double, etc.

FbxProperty GetProperty | ( | const char * | pName | ) | const

Search for all occurrences

Get a property using the full path in the tree ex: "Export|IncludeGrp|Animation".

Parameters:

  pName |

Returns:
  a FbxProperty found

Remarks:
  We strongly encourage to use the defined path in kfbxiosettingspath.h ex: EXP_ANIMATION == "Export|IncludeGrp|Animation"

FbxProperty GetProperty | ( | const FbxProperty & | pParentProperty,
|  | const char * | pName
| ) |  | const

Search for all occurrences

Get a property using a short path found under the parent property.

Parameters:

  pParentProperty |
  pName |

Returns:
  a FbxProperty found

Remarks:
  This is a faster way to access a property when the parent is known

bool GetBoolProp | ( | const char * | pName,
|  | bool | pDefValue
| ) |  | const

Search for all occurrences

Get a bool property value using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  true or false

void SetBoolProp | ( | const char * | pName,
|  | bool | pValue
| ) |  |

Search for all occurrences

set a bool property value using the full path

Parameters:

  pName |
  pValue |

double GetDoubleProp | ( | const char * | pName,
|  | double | pDefValue
| ) |  | const

Search for all occurrences

Get a double property value using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  a double

void SetDoubleProp | ( | const char * | pName,
|  | double | pValue
| ) |  |

Search for all occurrences

Set a double property using the full path.

Parameters:

  pName |
  pValue |

int GetIntProp | ( | const char * | pName,
|  | int | pDefValue
| ) |  | const

Search for all occurrences

Get a int property value using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  a int

void SetIntProp | ( | const char * | pName,
|  | int | pValue
| ) |  |

Search for all occurrences

Set a int property value using the full path.

Parameters:

  pName |
  pValue |

FbxTime GetTimeProp | ( | const char * | pName,
|  | FbxTime | pDefValue
| ) |  | const

Search for all occurrences

Get a FbxTime property value using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

void SetTimeProp | ( | const char * | pName,
|  | FbxTime | pValue
| ) |  |

Search for all occurrences

Set a FbxTime property value using the full path.

Parameters:

  pName |
  pValue |

Returns:
  a FbxTime

FbxString GetEnumProp | ( | const char * | pName,
|  | FbxString | pDefValue
| ) |  | const

Search for all occurrences

Get the FbxString at current index of an enum property using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  a FbxString

int GetEnumProp | ( | const char * | pName,
|  | int | pDefValue
| ) |  | const

Search for all occurrences

Get the integer at current index of an enum property using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  a int

int GetEnumIndex | ( | const char * | pName,
|  | FbxString | pValue
| ) |  | const

Search for all occurrences

Get the index of a FbxString from the enum property using the full path.

Parameters:

  pName |
  pValue | Return -1 if the FbxString is not found

Returns:
  a int

void SetEnumProp | ( | const char * | pName,
|  | FbxString | pValue
| ) |  |

Search for all occurrences

Set the current index using an existing FbxString of an enum property using the full path.

Parameters:

  pName |
  pValue |

Remarks:
  The current index will not change if the FbxString is not found

void SetEnumProp | ( | const char * | pName,
|  | int | pValue
| ) |  |

Search for all occurrences

Set the current index of an enum property using the full path.

Parameters:

  pName |
  pValue |

Remarks:
  The current index will not change if the pValue is out of bound

void RemoveEnumPropValue | ( | const char * | pName,
|  | FbxString | pValue
| ) |  |

Search for all occurrences

Remove a pair of FbxString+integer from an enum property.

Parameters:

  pName |
  pValue | The FbxString to find

Remarks:
  The first FbxString found from 0 index will be removed only even if the same FbxString exist in other index, if the current index was on the FbxString found the current index will be set to 0

void EmptyEnumProp | ( | const char * | pName | ) |

Search for all occurrences

Empty all the FbxString+integer pair of the enum property.

Parameters:

  pName |

bool IsEnumExist | ( | FbxProperty & | pProp,
|  | const FbxString & | enumString
| ) |  | const

Search for all occurrences

Check if a FbxString is present in the enum property.

Parameters:

  &pProp | a ref to an enum prop
  &enumString | ref to a FbxString to find

Returns:
  `true` if found, `false` otherwise.

int GetEnumIndex | ( | FbxProperty & | pProp,
|  | const FbxString & | enumString,
|  | bool | pNoCase = `false`
| ) |  | const

Search for all occurrences

Get the enum index of a FbxString.

Parameters:

  &pProp | a ref to an enum prop
  &enumString | ref to string to find
  pNoCase | To match case sensitive or not

Returns:
  the index found or -1 if not found

bool SetFlag | ( | const char * | pName,
|  | FbxPropertyAttr::EFlags | propFlag,
|  | bool | pValue
| ) |  |

Search for all occurrences

Set a specific flag value on a property using the full path.

Parameters:

  pName |
  propFlag |
  pValue |

Returns:
  Always true

FbxString GetStringProp | ( | const char * | pName,
|  | FbxString | pDefValue
| ) |  | const

Search for all occurrences

Get a FbxString property value using the full path.

Parameters:

  pName |
  pDefValue | Value returned if the property is not found

Returns:
  The FbxString value

void SetStringProp | ( | const char * | pName,
|  | FbxString | pValue
| ) |  |

Search for all occurrences

Set a FbxString property value using the full path.

Parameters:

  pName |
  pValue |

virtual bool ReadXMLFile | ( | const FbxString & | path | ) | `[virtual]`

Search for all occurrences

Load the settings values from an XML file.

Parameters:

  path | The path of the XML file.

Returns:
  `True` on success, `false` otherwise.

virtual bool WriteXMLFile | ( | const FbxString & | path | ) | `[virtual]`

Search for all occurrences

Write the settings values to an XML file.

Parameters:

  path | The path of the XML file.

Returns:
  `True` on success, `false` otherwise.

Remarks:
  The flag of the property must be FbxPropertyAttr::eNotSavable == false

bool WriteXmlPropToFile | ( | const FbxString & | pFullPath,
|  | const FbxString & | propPath
| ) |  |

Search for all occurrences

Write the settings values to an XML file.

Parameters:

  pFullPath | The path of the XML file.
  propPath | a prop Path

Returns:
  `True` on success, `false` otherwise.

Remarks:
  To save only a branch of the settings ex: Import branch only

PropInfo* GetPropInfo | ( | FbxProperty & | pProp | ) |

Search for all occurrences

FbxString GetLanguageLabel | ( | FbxProperty & | pProp | ) |

Search for all occurrences

void SetLanguageLabel | ( | FbxProperty & | pProp,
|  | FbxString & | pLabel
| ) |  |

Search for all occurrences

EFbxUILanguage Get_Max_Runtime_Language | ( | FbxString | pRegLocation | ) |

Search for all occurrences

static FbxString GetUserMyDocumentDir | ( |  | ) | `[static]`

Search for all occurrences

void SetPropVisible | ( | FbxProperty & | pProp,
|  | bool | pWithChildren,
|  | bool | pVisible
| ) |  |

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[virtual]`

Search for all occurrences

Reimplemented from FbxObject.

bool ReadXmlPropFromMyDocument | ( | const FbxString & | subDir,
|  | const FbxString & | filename
| ) |  |

Search for all occurrences

bool WriteXmlPropToMyDocument | ( | const FbxString & | subDir,
|  | const FbxString & | filename,
|  | const FbxString & | propPath
| ) |  |

Search for all occurrences

static const char* GetFileMergeDescription | ( | int | pIndex | ) | `[static]`

Search for all occurrences

## Member Data Documentation

EFbxUILanguage UILanguage

Search for all occurrences

Definition at line 540 of file fbxiosettings.h.

FbxIOInfo impInfo

Search for all occurrences

Definition at line 545 of file fbxiosettings.h.

FbxIOInfo expInfo

Search for all occurrences

Definition at line 546 of file fbxiosettings.h.

The documentation for this class was generated from the following file:

- fbxsdk/fileio/fbxiosettings.h

FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings
FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings FbxIOSettings